typedef union {
  char *stringValue;
  nodeType *nodePtr;
} YYSTYPE;

#ifndef YYLTYPE
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#define YYLTYPE yyltype
#endif

#define	WHITESPACE	257
#define	LINETERMINATOR	258
#define	LE	259
#define	GE	260
#define	EQ	261
#define	NE	262
#define	AND	263
#define	OR	264
#define	INC	265
#define	DEC	266
#define	SHL	267
#define	SHR	268
#define	SHRR	269
#define	IS	270
#define	MULIS	271
#define	QUOTIS	272
#define	MODIS	273
#define	ADDIS	274
#define	SUBIS	275
#define	SHLIS	276
#define	SHRIS	277
#define	SHRRIS	278
#define	ANDIS	279
#define	XORIS	280
#define	ORIS	281
#define	DIVIS	282
#define	REMAINIS	283
#define	MULTILINENOTASTERISKCHAR	284
#define	MULTILINENOTFORWARDSLASHORASTERISKCHAR	285
#define	SINGLELINECOMMENTCHAR	286
#define	MULTICOMMENT_START	287
#define	MULTICOMMENT_END	288
#define	SINGLECOMMENT	289
#define	IDENTIFIERNAME	290
#define	ACCESS	291
#define	AGENT	292
#define	BREAK	293
#define	CONTINUE	294
#define	DIV	295
#define	HOSTDOMAIN	296
#define	ELSE	297
#define	EQUIV	298
#define	EXTERN	299
#define	FOR	300
#define	FUNCTION	301
#define	HEADER	302
#define	HTTP	303
#define	IF	304
#define	ISVALID	305
#define	META	306
#define	NAME	307
#define	PATH	308
#define	RETURN	309
#define	TYPEOF	310
#define	USE	311
#define	USER	312
#define	VAR	313
#define	WHILE	314
#define	URL	315
#define	DELETE	316
#define	IN	317
#define	LIB	318
#define	NEW	319
#define	NUL	320
#define	THIS	321
#define	VOID	322
#define	WITH	323
#define	CASE	324
#define	CATCH	325
#define	CLASS	326
#define	CONST	327
#define	DEBUGGER	328
#define	DEFAULT	329
#define	DO	330
#define	ENUM	331
#define	EXPORT	332
#define	EXTENDS	333
#define	FINALLY	334
#define	IMPORT	335
#define	PRIVATE	336
#define	PUBLIC	337
#define	SIZEOF	338
#define	STRUCT	339
#define	SUPER	340
#define	SWITCH	341
#define	THROW	342
#define	TRY	343
#define	DECIMALDIGIT	344
#define	DECIMALDIGITS	345
#define	NONZERODIGIT	346
#define	HEXPREFIX	347
#define	HEXDIGIT	348
#define	HEXDIGITS	349
#define	OCTALDIGITS	350
#define	OCTALDIGIT1	351
#define	OCTALDIGIT2	352
#define	OCTALDIGIT3	353
#define	HEXDIGIT2	354
#define	PUNCTUATOR	355
#define	ZEROTOTHREE	356
#define	DECIMALINTEGERLITERAL	357
#define	OCTALINTEGERLITERAL	358
#define	HEXINTEGERLITERAL	359
#define	DECIMALFLOATLITERAL	360
#define	TRUE	361
#define	FALSE	362
#define	INVALID	363
#define	DOUBLESTRINGCHARACTERS	364
#define	SINGLESTRINGCHARACTERS	365
#define	ESCAPESEQUENCE	366
#define	UMINUS	367
#define	UPLUS	368
#define	UINVERT	369
#define	UNOT	370
#define	BITWISEAND	371
#define	BITWISEXOR	372
#define	BITWISEOR	373

